//
//  ReceiptsEventCell.swift
//  oin_pos_plugin
//
//  Created by 逸唐陳 on 2020/8/25.
//

import UIKit

class ReceiptsEventCell: UITableViewCell {
  
  let eventContent: UILabel = {
    let label = UILabel()
    label.translatesAutoresizingMaskIntoConstraints = false
    label.textColor = .black
    label.numberOfLines = 0
    label.font = UIFont.systemFont(ofSize: 26, weight: .thin)
    label.text = "Step1.Google評論五顆星\nStep2.免費獲得冰淇淋一盒\n\n---碳佐麻里｜牛肉。吃到飽---\n\n開幕活動-11/16開幕PARTY\n來碳佐麻里吃烤肉牛肉免費吃到飽!"
    return label
  }()
  
  let container: UIView = {
    let view = UIView()
    view.translatesAutoresizingMaskIntoConstraints = false
    view.backgroundColor = .clear
    view.layer.borderWidth = 2
    view.layer.borderColor = UIColor.black.cgColor
    view.layer.cornerRadius = 10
    return view
  }()
  
  override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
    super.init(style: style, reuseIdentifier: reuseIdentifier)
    selectionStyle = .none
    backgroundColor = .white
    contentView.addSubview(eventContent)
    eventContent.leadingAnchor.constraint(equalTo: leadingAnchor, constant: 20).isActive = true
    eventContent.trailingAnchor.constraint(equalTo: trailingAnchor, constant: -25).isActive = true
    eventContent.topAnchor.constraint(equalTo: contentView.topAnchor, constant: 40).isActive = true
    eventContent.bottomAnchor.constraint(equalTo: contentView.bottomAnchor, constant: -40).isActive = true
    contentView.addSubview(container)
    container.leadingAnchor.constraint(equalTo: leadingAnchor, constant: 10).isActive = true
    container.trailingAnchor.constraint(equalTo: trailingAnchor, constant: -15).isActive = true
    container.topAnchor.constraint(equalTo: topAnchor, constant: 20).isActive = true
    container.bottomAnchor.constraint(equalTo: eventContent.bottomAnchor, constant: 20).isActive = true
  }
  
  required init?(coder: NSCoder) {
    fatalError("init(coder:) has not been implemented")
  }
}
